<script setup lang="ts">
defineOptions({inheritAttrs: false})
const {innerClass = 'px-4 sm:px-6 lg:px-8'} = defineProps<{ innerClass?: string }>()
</script>

<template>
  <div class="w-full flex justify-center">
    <div :class="['w-full max-w-6xl', innerClass]" v-bind="$attrs">
      <slot/>
    </div>
  </div>
</template>